import 'package:cryfetch/services/data_fetcher.dart';
import 'package:hive/hive.dart';

part 'cryptocurrency.g.dart';

@HiveType(typeId: 1)
class Cryptocurrency extends HiveObject {
  @HiveField(0)
  late String id;
  @HiveField(1)
  late String name;
  @HiveField(2)
  late String symbol;
  @HiveField(3)
  late String image;
  @HiveField(4)
  late num currentPriceUSD;
  @HiveField(5)
  late num marketCap;
  @HiveField(6)
  late int marketCapRank;
  @HiveField(7)
  late num totalVolume;
  @HiveField(8)
  late num priceChange24h;
  @HiveField(9)
  late num totalSupply;
  @HiveField(10)
  bool isFavorite = false;

  static String currencySymbol = "\$";

  static num currentPriceMultiplier = 1.0;
  num get currentPrice =>
      currentPriceUSD * Cryptocurrency.currentPriceMultiplier;

  Cryptocurrency({
    required this.id,
    required this.name,
    required this.symbol,
    required this.image,
    required this.currentPriceUSD,
    required this.marketCap,
    required this.marketCapRank,
    required this.totalVolume,
    required this.priceChange24h,
    required this.totalSupply,
  });

  static Future<void> FetchPriceMultiplier(String currency) async {
    String raw_Tether_USD = await DataFetcher.fetchUrlData(
        "https://api.coingecko.com/api/v3/simple/price?ids=tether&vs_currencies=usd");
    String raw_Tether_Currency = await DataFetcher.fetchUrlData(
        "https://api.coingecko.com/api/v3/simple/price?ids=tether&vs_currencies=" +
            currency);

    raw_Tether_USD = raw_Tether_USD.split("{")[2].split("}")[0].split(":")[1];
    raw_Tether_Currency =
        raw_Tether_Currency.split("{")[2].split("}")[0].split(":")[1];

    double Tether_USD = double.parse(raw_Tether_USD);
    double Tether_Currency = double.parse(raw_Tether_Currency);

    Cryptocurrency.currentPriceMultiplier = Tether_Currency / Tether_USD;
  }
}
