import 'package:hive_flutter/hive_flutter.dart';
import 'package:hive/hive.dart';
import '../models/cryptocurrency.dart';

class Database {
  static late Box<Cryptocurrency> cryptocurrencyBox;

  static Future<void> initialize() async {
    await Hive.initFlutter();
    Hive.registerAdapter(CryptocurrencyAdapter());
    cryptocurrencyBox = await Hive.openBox<Cryptocurrency>('cryptocurrencyBox');
  }

  static Future<List<Cryptocurrency>> loadCryptocurrencies() async {
    await initialize();
    List<Cryptocurrency> cryptoList = [];
    for (final item in cryptocurrencyBox.values) {
      cryptoList.add(item);
    }
    return cryptoList;
  }

  static Future<void> updateCryptocurrencies(
      List<Cryptocurrency> cryptoList) async {
    if (cryptocurrencyBox.isNotEmpty) {
      cryptocurrencyBox.clear();
    }
    cryptocurrencyBox.addAll(cryptoList);
  }
}
