import 'dart:async';
import 'dart:io';

class NetworkChecker {
  static Future<bool> hasNetwork() async {
    try {
      final result = await InternetAddress.lookup("api.coingecko.com").timeout(
        Duration(seconds: 1),
      );
      if (result.isNotEmpty && result[0].rawAddress.isNotEmpty) {
        return true;
      }
      return false;
    } on TimeoutException catch (_) {
      return false;
    } on SocketException catch (_) {
      return false;
    }
  }
}
