import 'package:flutter/material.dart';
import '../models/cryptocurrency.dart';

class ChartCoin extends StatelessWidget {
  const ChartCoin(this.cryptocurrency, {Key? key}) : super(key: key);

  final Cryptocurrency cryptocurrency;

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Card(
        elevation: 2,
        shadowColor: Colors.black,
        shape:
            RoundedRectangleBorder(borderRadius: BorderRadius.circular(10.0)),
        margin: const EdgeInsets.only(bottom: 30.0, left: 20.0, right: 20.0),
        color: Colors.white,
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            Row(
              children: [
                Container(
                  alignment: Alignment.topLeft,
                  margin: const EdgeInsets.only(
                      top: 20.0, left: 20.0, bottom: 15.0, right: 10.0),
                  child: Image.network(cryptocurrency.image,
                      height: 75, width: 75),
                ),
                Container(
                  margin: const EdgeInsets.all(5.0),
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      Text(
                        cryptocurrency.name.length > 15
                            ? cryptocurrency.name.substring(0, 15) + '...'
                            : cryptocurrency.name,
                        style: const TextStyle(
                            fontSize: 20.0, fontWeight: FontWeight.bold),
                      ),
                      Text(
                        "Price: " +
                            cryptocurrency.currentPrice.toString() +
                            Cryptocurrency.currencySymbol,
                        style: const TextStyle(fontSize: 15.0),
                      )
                    ],
                  ),
                ),
                const Spacer(),
                Container(
                  margin: const EdgeInsets.only(right: 20.0),
                  child: ElevatedButton(
                      onPressed: () => {Navigator.pop(context, cryptocurrency)},
                      child: const Text("Add")),
                )
              ],
              mainAxisAlignment: MainAxisAlignment.start,
            )
          ],
        ),
      ),
    );
  }
}
