import 'package:flutter/material.dart';
import 'package:cryfetch/cryfetch.dart';
import 'package:cryfetch/widgets/news.dart';
import 'package:webfeed/webfeed.dart';

class NewsList extends StatelessWidget {
  final List<RssItem> feedList = [];
  @override
  Widget build(BuildContext context) {
    for (final provider in CryFetch.feedList) {
      for (final feed in provider.items!) {
        feedList.add(feed);
      }
    }

    return !CryFetch.hasNetwork
        ? Center(
            child: const Text(
              "Vijesti nisu dostupne\nbez internetske veze.",
              style: TextStyle(
                fontSize: 20,
              ),
            ),
          )
        : Container(
            child: ListView.builder(
                itemCount: feedList.length,
                itemBuilder: (context, index) {
                  return News(
                    feedList[index].title!,
                    feedList[index].pubDate.toString(),
                    feedList[index].description!,
                    feedList[index].link!,
                  );
                }),
          );
  }
}
